Name:           libktorrent
Version:        2.0.1
Release:        %mkrel 3
Summary:        BitTorrent program for KDE
Group:          Graphical desktop/KDE5
License:        GPLv2+
URL:            https://www.kde.org/applications/internet/ktorrent/
Source0:        http://download.kde.org/stable/ktorrent/5.0/%{name}-%{version}.tar.xz


## upstream patches 
Patch1: 0001-Remove-unused-dependencies.patch
Patch2: 0002-Fix-compilation-with-QCA-installed-in-a-custom-prefi.patch
Patch3: 0003-Fix-compilation-with-DQT_NO_CAST_TO_ASCII.patch
Patch4: 0004-Enable-DQT_NO_CAST_TO_ASCII.patch
Patch5: 0005-Fix-crash-when-mixing-iterators-in-http-response-par.patch
Patch6: 0006-Fix-GRCYPT_VERSION-string-parsing-by-ignoring-traili.patch
Patch7: 0007-Add-reviewboard-configuration-to-simplify-contributi.patch
Patch8: 0008-Fix-parsing-of-headers-from-certain-D-Link-routers.patch
Patch9: 0009-Fix-logging-framework-spamming.patch
Patch10: 0010-Turn-libktorrent-into-a-kf5-framework.patch

## upstreamable patches
# https://git.reviewboard.kde.org/r/129226/
Patch100: 0001-FindLibGMP-fallback-to-try_run-if-regex-fails.patch 



BuildRequires:  gmp-devel
BuildRequires:  boost-devel
BuildRequires:  libgcrypt-devel

BuildRequires:  cmake
BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-macros
BuildRequires:  %{_lib}kf5archive-devel
BuildRequires:  %{_lib}kf5crash-devel
BuildRequires:  %{_lib}kf5i18n-devel
BuildRequires:  %{_lib}kio-devel
BuildRequires:  %{_lib}kf5solid-devel
BuildRequires:  %{_lib}qca2-qt5-devel

BuildRequires:  qttools5
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5network-devel
BuildRequires: %{_lib}qt5test-devel
BuildRequires: %{_lib}qt5widgets-devel
BuildRequires: %{_lib}qt5xml-devel



%description
KTorrent is a BitTorrent program for KDE. It's main features are:
 o Downloads torrent files
 o Upload speed capping, seeing that most people can't upload
   infinite amounts of data.
 o Internet searching using  The Bittorrent website's search engine
 o UDP Trackers

#-------------------------------------------------------------------------
%files -f %{name}.lang


%define ktorrent_major 6
%define libktorrent %mklibname kf5ktorrent %ktorrent_major

%package -n     %libktorrent
Summary:        Ktorrent libbrary
Group:          System/Libraries
Obsoletes:		%{_lib}kde4-ktorrent5
Requires:		%name

%description -n %libktorrent
KTorrent is a BitTorrent program for KDE. It's main features are:
 o Downloads torrent files
 o Upload speed capping, seeing that most people can't upload
   infinite amounts of data.
 o Internet searching using  The Bittorrent website's search engine
 o UDP Trackers

%files -n %libktorrent
%_kf5_libdir/libKF5Torrent.so.%{ktorrent_major}*

#-------------------------------------------------------------------------

%define develname %mklibname kf5ktorrent -d

%package -n     %{develname}
Summary:        Ktorrent plugin devel headers
Group:          Development/Libraries
Requires:       %{libktorrent} = %{version}
Provides:       %{name}-devel = %{version}
Provides:       ktorrent-devel = %{version}
Obsoletes:		%{_lib}kde4-ktorrent-devel

%description -n %{develname}
Ktorrent plugin devel headers.

%files -n %{develname}
%{_includedir}/*
%{_kf5_libdir}/cmake/
%{_kf5_libdir}/*.so

#-------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%cmake_kf5 -DLibGMP_INCLUDE_DIRS=%{multiarch_includedir}
%make
 
%install
rm -rf %buildroot
%make_install -C build

%find_lang %{name}


%changelog
* Sat Dec 16 2017 adrianomorselli <adrianomorselli> 2.0.1-3uplos2017
- add upstream patches
